<template>
    <ClientOnly>
        <div>
            <SearchContent v-if="$route.query.menu==='Szukaj miłości'" />
            <CommunicatorComponent v-if="title === 'communicator' || $route.query.menu==='Wiadomości'" />
            <MatchingComponent v-if="title === 'matching' || $route.query.menu==='Dopasowania'" />
            <VisitingComponent v-if="$route.query.menu==='Odwiedziny'" />
        </div>
    </ClientOnly>
</template>
<script>
export default {
    name: 'AccountContent',

    data() {
        return {
            title: 'communicator'
        };
    },

    mounted() {
        this.$bus.$emit('show-menu');
        this.$bus.$on('menu-item', (data) => {
            switch (data.title) {
                case 'Szukaj miłości': this.title = 'search'; break;
                case 'Wiadomości': this.title = 'communicator'; break;
                case 'Dopasowania': this.title = 'matching'; break;
                case 'Odwiedziny': this.title = 'visiting'; break;
            }
            this.$forceUpdate();
        });
    },

    computed: {
        content: function () {
        }
    }
}
</script>